package com.unipi.talepis.protalandroid5;

import android.content.ComponentName;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.pm.PackageManager;
import android.net.ConnectivityManager;
import android.os.AsyncTask;
import android.preference.PreferenceManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    SharedPreferences preferences;
    TextView textView1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView1 = (TextView)findViewById(R.id.textview1);
        preferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        String str_name = preferences.getString("name","noName");
        textView1.setText(str_name);
    }

    @Override
    protected void onResume() {
        super.onResume();
        String str_name = preferences.getString("name","noName");
        textView1.setText(str_name);
    }

    public void go(View view){
        startActivity(new Intent(this,Main2Activity.class));
    }
    public void go2(View view){
        MyReceiver2 myReceiver2 = new MyReceiver2();
        IntentFilter intentFilter =
                new IntentFilter(ConnectivityManager.CONNECTIVITY_ACTION);
        registerReceiver(myReceiver2,intentFilter);
    }
    public void go3(View view){
        ComponentName componentName = new ComponentName(this,MyReceiver.class);
        this.getPackageManager().setComponentEnabledSetting(componentName,
                PackageManager.COMPONENT_ENABLED_STATE_DISABLED,
                PackageManager.DONT_KILL_APP);
    }
    public void go4(View view){
        for (int i=0;i<10;i++){
            try {
                Thread.sleep(1000);
                textView1.setText(String.valueOf(i));
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }
    public void go5(View view){
        new MyAsyncTask().execute();
    }

    public class MyAsyncTask extends AsyncTask<String,String,String>{

        @Override
        protected String doInBackground(String... strings) {
            for (int i=0;i<10;i++){
                try {
                    Thread.sleep(1000);
                    publishProgress(String.valueOf(i));
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
            return null;
        }

        @Override
        protected void onProgressUpdate(String... values) {
            textView1.setText(values[0]);
            super.onProgressUpdate(values);
        }
    }
}
